Bug 1139776 - LDAP MODRDN (rename) is not supported
Summary: LDAP MODRDN (rename) is not supported
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: bind-dyndb-ldap
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Petr Spacek
QA Contact: Namita Soman
URL:
Whiteboard:
Keywords:
Depends On: 1204110
Blocks: 1168850 1179458
TreeView+ depends on / blocked
 
Reported: 2014-09-09 15:29 UTC by Petr Spacek
Modified: 2016-06-23 06:42 UTC (History)
4 users (show)

(edit)
The latest version of the bind-dyndb-ldap system plug-in offers significant improvements over the previous versions, but has some currently certain limitations. One of the limitations is missing support for the LDAP rename (MODRDN) operation. As a consequence, DNS records renamed in LDAP are not served correctly. To work around this problem, restart the named daemon to resynchronize data after each LDAP rename (MODRDN) operation. In an Identity Management (IdM) cluster, restart the named daemon on all IdM replicas.
Clone Of:
(edit)
Last Closed: 2015-11-19 10:20:52 UTC


Attachments (Terms of Use)
dns_ldap_a_rec_rename.log (2.18 KB, text/plain)
2015-10-08 10:01 UTC, Abhijeet Kasurde
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:2301 normal SHIPPED_LIVE bind-dyndb-ldap bug fix and enhancement update 2015-11-19 09:55:21 UTC

Description Petr Spacek 2014-09-09 15:29:54 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/bind-dyndb-ldap/ticket/123

This is a limitation of initial implementation of wiki:BIND9/Design/RBTDB.

Named has to be restarted to resynchroniza data after each LDAP rename.

Comment 1 Petr Spacek 2014-09-09 15:36:46 UTC
Know Issue text was added.

Comment 2 Martin Kosek 2014-09-11 10:27:45 UTC
2 comments to the Known Issue doc:

1) You should note that it needs to be restarted on *all IdM servers* with DNS service, not just the one where the change as done.

2) Isn't named reload enough (and more user friendly) than full named restart?

Comment 3 Petr Spacek 2014-09-11 16:27:04 UTC
(In reply to Martin Kosek from comment #2)
> 1) You should note that it needs to be restarted on *all IdM servers* with DNS service, not just the one where the change as done.

Good point! I have updated the text.

> 2) Isn't named reload enough (and more user friendly) than full named
> restart?

From bind-dyndb-ldap's point of view it is the same.

Comment 8 Petr Spacek 2015-05-27 11:44:41 UTC
Fixed upstream:
eb599ae5b3b7a3f86237f60830357bd53deab012, a1f960e1edd4c6317d81e48a9b57f9c87c581e22, ea561ba7e4af91eeef2f56834e32e3581d8e4123

Comment 11 Petr Spacek 2015-09-10 15:12:15 UTC
This bug was fixed and the fix is documented as part of rebase bug 1204110.

Comment 12 Abhijeet Kasurde 2015-10-08 10:01 UTC
Created attachment 1080957 [details]
dns_ldap_a_rec_rename.log

Comment 13 Abhijeet Kasurde 2015-10-08 10:02:24 UTC
Steps to verify :

1. Add a record to a zone
2. Verify that it is visible in DNS
3. Rename the record
4. Use dig to verify that renamed record is not visible in DNS under old name and is visible under the new name without requiring DNS restart

Verifed.

Package Version used::

bind-dyndb-ldap-8.0-1.el7.x86_64
ipa-server-4.2.0-12.el7.x86_64
ipa-server-dns-4.2.0-12.el7.x86_64

Comment 15 errata-xmlrpc 2015-11-19 10:20:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-2301.html


Note You need to log in before you can comment on or make changes to this bug.